# Society

> If you are gonna use society as payment option make sure to add your own society exports in **server/editable/\_framework.lua (lines 69-78)**

{% hint style="info" %}
AV Business is already pre configured to work with society payments.
{% endhint %}

```lua
-- Return society money based on player job
function getSociety(job)
    dbug("getSociety(job)", job)
    if avBusiness then
        return exports['av_laptop']:getSociety(job) or 0
    end
    return 0
end

-- Remove society money based on player job
function removeSociety(src, job, amount, reason)
    dbug("removeSociety()", src, job, amount, reason)
    if avBusiness then
        local playerName = exports['av_laptop']:getName(src) or ""
        return exports['av_laptop']:removeSociety(src, job, amount, playerName, reason)
    end
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.av-scripts.com/guides/vehicleshop/society.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
